unit Command;

interface

const
  cmFitWindow = 'fitwindow';
  cmZoomIn = 'zoomin';
  cmZoomOut = 'zoomout';
  cmInfo = 'info';
  cmFullScreen = 'fullscreen';
  cmStretchMode = 'stretchmode';
  cmHideBorder = 'hideborder';
  cmStayOnTop = 'stayontop';
  cmZoom50 = 'zoom50';
  cmZoom100 = 'zoom100';
  cmZoom150 = 'zoom150';
  cmZoom200 = 'zoom200';
  cmZoom300 = 'zoom300';
  cmZoom400 = 'zoom400';
  cmZoom800 = 'zoom800';
  cmNextImage = 'nextimage';
  cmPrevImage = 'previmage';
  cmNextFile = 'nextfile';
  cmPrevFile = 'prevfile';
  cmFirstFile = 'firstfile';
  cmLastFile = 'lastfile';
  cmRefreshFileList = 'refreshfilelist';
  cmScrollTop = 'scrolltop';
  cmScrollBottom = 'scrollbottom';
  cmScrollTopBottom = 'scrolltopbottom';
  cmScrollUp = 'scrollup';
  cmScrollDown = 'scrolldown';
  cmScrollLeft = 'scrollleft';
  cmScrollRight = 'scrollright';
  cmAboutPlugins = 'aboutplugins';
  cmCopyFileName = 'copyfilename';
  cmReloadImage = 'reloadimage';
  cmAbout = 'about';
  cmExit = 'exit';
  cmSetWallpaper = 'setwallpaper';
  cmSetWallpaperTile = 'setwallpapertile';
  cmShowColorValue = 'showcolorvalue';
  cmSaveAs = 'saveas';
  cmScaleFilter = 'scalefilter';
  cmShowGrid = 'showgrid';
  cmNextWindow = 'nextwindow';
  cmPrevWindow = 'prevwindow';
  cmPluginMenu = 'pluginmenu';

  CmdList: array[0..43-1] of string = (
    cmFitWindow,
    cmZoomIn,
    cmZoomOut,
    cmInfo,
    cmFullScreen,
    cmStretchMode,
    cmHideBorder,
    cmStayOnTop,
    cmZoom50,
    cmZoom100,
    cmZoom150,
    cmZoom200,
    cmZoom300,
    cmZoom400,
    cmZoom800,
    cmNextImage,
    cmPrevImage,
    cmNextFile,
    cmPrevFile,
    cmFirstFile,
    cmLastFile,
    cmRefreshFileList,
    cmScrollTop,
    cmScrollBottom,
    cmScrollTopBottom,
    cmScrollUp,
    cmScrollDown,
    cmScrollLeft,
    cmScrollRight,
    cmAboutPlugins,
    cmCopyFileName,
    cmReloadImage,
    cmAbout,
    cmExit,
    cmSetWallpaper,
    cmSetWallpaperTile,
    cmShowColorValue,
    cmSaveAs,
    cmScaleFilter,
    cmShowGrid,
    cmNextWindow,
    cmPrevWindow,
    cmPluginMenu
  );

  MenuItems: array[0..47*2-1] of string = (
    '&Previous Image',      cmPrevImage,
    '&Next Image',          cmNextImage,
    'P&revious File',       cmPrevFile,
    'N&ext File',           cmNextFile,
    '&First File',          cmFirstFile,
    '&Last File',           cmLastFile,
    'Re&load File',         cmReloadImage,
    '-',                    '-',
    '&Fit Window',          cmFitWindow,
    '&Stretch Mode',        cmStretchMode,
    'Enable Scale &Filter', cmScaleFilter,
    'Show Gri&d',           cmShowGrid,
    '-',                    '-',
//    'Original Size (&1)',   cmZoom100,
    'Zoom In (&+)',         cmZoomIn,
    'Zoom Out (&-)',        cmZoomOut,
    '&Zoom',                '>',
      '&50%',               cmZoom50,
      '&100%',              cmZoom100,
      '150%(&Q)',           cmZoom150,
      '&200%',              cmZoom200,
      '&300%',              cmZoom300,
      '&400%',              cmZoom400,
      '&800%',              cmZoom800,
    '',                     '',
    '-',                    '-',
    'Full &Screen',         cmFullScreen,
    'Stay &On Top',         cmStayOnTop,
    'Hide &Border',         cmHideBorder,
    '-',                    '-',
    'Image &Information',   cmInfo,
    'Show Color &Value',    cmShowColorValue,
    '-',                    '-',
    '&Copy File Name',      cmCopyFileName,
    'Save &As...',          cmSaveAs,
    'Set As &Wallpaper',    '>',
      '&Normal',            cmSetWallpaper,
      '&Tile',              cmSetWallpaperTile,
    '',                     '',
    '-',                    '-',
    'Pl&ugin Setting',      '>',
      '(none)',             cmPluginMenu,
    '',                     '',
    '-',                    '-',
    'About Plu&gins',       cmAboutPlugins,
    '&About',               cmAbout,
    '-',                    '-',
    'E&xit',                cmExit
  );

  DefaultKeys: array[0..46*2-1] of string = (
    'enter',  cmFullScreen,
    'esc',    cmExit,
    'space',  cmScrollTopBottom,
    'pgup',   cmZoomIn,
    'pgdn',   cmZoomOut,
    'end',    cmScrollBottom,
    'home',   cmScrollTop,
    'left',   cmScrollLeft,
    'up',     cmScrollUp,
    'right',  cmScrollRight,
    'down',   cmScrollDown,
    'c-tab',  cmNextWindow,
    'cs-tab', cmPrevWindow,
    'num1',   cmZoom100,
    'num2',   cmZoom200,
    'num3',   cmZoom300,
    'num4',   cmZoom400,
    'num5',   cmZoom50,
    'num8',   cmZoom800,
    '1',      cmZoom100,
    '2',      cmZoom200,
    '3',      cmZoom300,
    '4',      cmZoom400,
    '5',      cmZoom50,
    '8',      cmZoom800,
    'b',      cmPrevImage,
    's-b',    cmPrevFile,
    'c-b',    cmHideBorder,
    'c',      cmShowColorValue,
    'c-c',    cmCopyFileName,
    'c-g',    cmShowGrid,
    'n',      cmNextImage,
    's-n',    cmNextFile,
    'f',      cmFitWindow,
    'c-f',    cmScaleFilter,
    'g',      cmFirstFile,
    's-g',    cmLastFile,
    'i',      cmInfo,
    'p',      cmPrevImage,
    'q',      cmZoom150,
    'r',      cmReloadImage,
    'c-r',    cmRefreshFileList,
    's',      cmStretchMode,
    't',      cmStayOnTop,
    'x',      cmZoomOut,
    'z',      cmZoomIn
  );

implementation
end.
